%global install_loc	%{_datadir}/eclipse/dropins/egit-github
%global version_suffix 201409260305-r

Name:			eclipse-egit-github
Version:		3.5.0
Release:		1%{?dist}
Summary:		Eclipse EGit Mylyn GitHub Connector

License:		EPL
URL:			http://www.eclipse.org/egit/
Source0:		https://git.eclipse.org/c/egit/egit-github.git/snapshot/egit-github-%{version}.%{version_suffix}.tar.bz2
BuildArch:		noarch
BuildRequires:	tycho
BuildRequires:	google-gson
BuildRequires:	hamcrest
BuildRequires:	eclipse-jgit
BuildRequires:	eclipse-mylyn
BuildRequires:	eclipse-mylyn-docs-wikitext
BuildRequires:	feclipse-maven-plugin
BuildRequires:	eclipse-egit

Requires:		eclipse-egit

%description
Create task repositories for working with GitHub issues 
and Gists.

%prep
%setup -q -n egit-github-%{version}.%{version_suffix} 
%pom_xpath_remove "pom:properties/pom:egit-site"
%pom_xpath_remove "pom:repositories/pom:repository[position()=1]"

# comment out tests
%pom_xpath_remove "pom:modules/pom:module[position()=5]"

# change version from 2.2.0 to 2.3.0 for google-gson
pushd org.eclipse.egit.github.core/META-INF
sed -i '/google.gson/ { s/2.2.0/2.3.0/ }' MANIFEST.MF
popd

# remove dependencies for maven-antrun-plugin 
%pom_remove_dep ant:optional org.eclipse.mylyn.github.doc

# change version from 2.0.0 to 3.8.1 for github.doc
pushd org.eclipse.mylyn.github.doc/META-INF
sed -i '/eclipse.mylyn/ { s/2.0.0/3.9.0/ }' MANIFEST.MF
popd


%build
%mvn_build -j

%install
xmvn -o org.fedoraproject:feclipse-maven-plugin:install \
		-DsourceRepo=org.eclipse.mylyn.github-site/target/repository \
		-DtargetLocation=%{buildroot}%{install_loc}/eclipse

pushd %{buildroot}%{install_loc}/eclipse/plugins
rm -f *google.gson*.jar
ln -s %{_javadir}/google-gson/gson.jar google-gson.jar
popd

%files
%{install_loc}
%doc org.eclipse.mylyn.github-feature/epl-v10.html
%doc org.eclipse.mylyn.github-feature/license.html
%doc org.eclipse.egit.github.core/about.html
%doc org.eclipse.mylyn.github.doc/help/EGit/GitHub/User_Guide/Updating-This-Document.html
%doc org.eclipse.mylyn.github.doc/help/EGit/GitHub/User_Guide/User-Guide.html

%changelog
* Tue Nov 11 2014 Mat Booth <mat.booth@redhat.com> - 3.5.0-1
- Update to 3.5.0

* Thu Jul 10 2014 Alexander Kurtakov <akurtako@redhat.com> 3.4.0-1
- Update to upstream 3.4.0.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Alexander Kurtakov <akurtako@redhat.com> 3.3.0-1
- Update to upstream version 3.3.0.

* Thu Jan 23 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.2.0-1
- Update to upstream version 3.2.0
- Install Maven metadata for egit.github.core, resolves: rhbz#1056937

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 25 2013 Neil Brian Guzman <nguzman@redhat.com> 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jun 25 2013 Neil Brian Guzman <nguzman@redhat.com> 3.0.0-1
- Update to 3.0.0.
- Fixed the source to point to correct source file.

* Tue Jun 11 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-5
- added Requires: eclipse-egit

* Tue Jun 11 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jun 11 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-3
- Changed eclipse-egit --> BuildRequires: eclipse-egit to build on f19

* Fri Jun 07 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-2
- Removed duplicate about.htmls
- Fixed changelog
- Made symlink to google-gson
- Changed BuildRequires: eclipse-egit --> Requires: eclipse-egit

* Wed Jun 05 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-1
- Initial packaging of eclipse-egit-github
